<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <h1 class="item">Ajouter un produit</h1>
  </div>
  <div class="container flex chips-scroll">
    <div class="flex-scroll">
      <div *ngFor="let category of categoryFamily" class="info-chip scroll-item container-flex sm-space">
        <p class="small-text">{{category}}</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
    </div>
  </div>
  <hr>
  <div class="container flex add-product">
    <h2 >Données de mon produit</h2>
    <ion-item lines="none">
      <ion-label position="stacked">Nom du produit *</ion-label>
      <ion-input [(ngModel)]="name" placeholder="Pomme Gala" clear-input="true" class="myinput"></ion-input>
    </ion-item>
    <div class="container-flex">
    <ion-item lines="none">
      <ion-label position="stacked">Unité *</ion-label>
      <ion-select [(ngModel)]="unity" name="unity"  okText="Valider" cancelText="Annuler" class="myinput" placeholder="Kilo">
        <ion-select-option value="kilo">Kilogramme</ion-select-option>
        <ion-select-option value="piece">La pièce</ion-select-option>
        <ion-select-option value="gramme">Gramme</ion-select-option>
        <ion-select-option value="litre">Litre</ion-select-option>
        <ion-select-option value="lot">Lot</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item lines="none">
      <ion-label  position="stacked">Prix à l'unité *</ion-label>
      <ion-input [(ngModel)]="price" placeholder="0.00" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
    </ion-item>
    </div>
    <ion-item lines="none">
      <ion-label position="stacked">Quantité du stock *</ion-label>
      <ion-input [(ngModel)]="stock" placeholder="0.00" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
      <p class="mini-text caption">Quantité du stock actuelle: <strong>0.00</strong> KG</p>
    </ion-item>
    <ion-item lines="none">
      <ion-label position="stacked">Description *</ion-label>
      <ion-textarea [(ngModel)]="description" placeholder="Ecris ici..." clear-input="true" class="myinput myinput-area"></ion-textarea>
    </ion-item>
    <ion-item lines="none">
      <ion-label  position="stacked">Appliquer une réduction</ion-label>
      <ion-input [(ngModel)]="reduction" placeholder="0%" clear-input="true" inputmode="numeric" class="myinput"></ion-input>
      <p class="mini-text caption">Prix à l'unité avec réduction: <strong>0.00</strong> CHF / KG</p>
    </ion-item>
  </div>
  <div class="container photo-section">
    <h3>Photos</h3>
    <div class="flex-scroll">
      <img src="/assets/img/add-pic.svg" alt="photo" class=" scroll-item img" (click)="addPhotoToGallery()">
      <div *ngFor="let photo of photoService.photos; index as position" class="scroll-item img">
        <ion-img [src]="photo.webviewPath" (click)="showActionSheet(photo, position)" alt="photo" class="scroll-item img hideAlt"></ion-img>
      </div>
    </div>
  </div>
  <div class="container lg-space">
    <a href="" class="link"><p class="centered md-space">Aperçu de l'annonce</p></a>
  </div>


    <ion-button (click)="add()" type="submit" class="agri-btn right-btn mg-bottom-sm lg-space">Ajouter</ion-button>

</ion-content>
